import { GraphQLSchema } from "graphql";
import * as Types from "./types";
/**
 * This is an approach for handling type definition auto-resolution.
 * It is designed to handle the most common cases, as can be seen
 * in the examples / the simplicity of the implementation.
 *
 * If you wish to do something more complex, involving full
 * AST parsing, etc, you can provide a different function to
 * the `typegenInfo` property of the `makeSchema` config.
 *
 * @param options
 */
export declare function typegenAutoConfig(options: Types.TypegenAutoConfigOptions): (schema: GraphQLSchema, outputPath: string) => Promise<Types.TypegenInfo<any>>;
