import { GraphQLObjectType, GraphQLEnumType, GraphQLInterfaceType, GraphQLInputObjectType, GraphQLScalarType, GraphQLUnionType } from "graphql";
export declare function convertSDL(sdl: string, commonjs?: boolean): string;
/**
 * Convert an existing SDL schema into a GraphQL Nexus format
 */
export declare class SDLConverter {
    protected export: string;
    constructor(commonjs?: boolean);
    convert(sdl: string): string;
    makeObjectType(type: GraphQLObjectType): string;
    makeEnumType(type: GraphQLEnumType): string;
    makeInterfaceType(type: GraphQLInterfaceType): string;
    makeInputObjectType(type: GraphQLInputObjectType): string;
    makeUnionType(type: GraphQLUnionType): string;
    makeScalarType(type: GraphQLScalarType): string;
}
