import { GraphQLObjectType, GraphQLInterfaceType } from "graphql";
import * as Types from "./types";
export declare function log(msg: string): void;
export declare function withDeprecationComment(description?: string | null): string | null | undefined;
export declare const enumShorthandMembers: (arg: Record<string, string | number | boolean | object> | string[]) => Types.EnumMemberInfo[];
export declare const isInterfaceField: (type: GraphQLObjectType, fieldName: string) => boolean;
export declare const hasField: (type: GraphQLObjectType | GraphQLInterfaceType, fieldName: string) => boolean;
/**
 *
 * Copied from graphql-js:
 *
 */
/**
 * Given an invalid input string and a list of valid options, returns a filtered
 * list of valid options sorted based on their similarity with the input.
 */
export declare function suggestionList(input: string, options: string[]): string[];
export declare function dedent(strings: string | TemplateStringsArray, ...values: Array<string>): string;
export declare function arrPush<T, O extends Record<string, T[]>>(obj: O, property: string, value: T): void;
export declare function objValues<T>(obj: Record<string, T>): T[];
export declare function mapObj<T, R>(obj: Record<string, T>, mapper: (val: T, key: string, index: number) => R): R[];
export declare function eachObj<T>(obj: Record<string, T>, iter: (val: T, key: string, index: number) => void): void;
export declare const isObject: (obj: any) => boolean;
export declare const assertAbsolutePath: (pathName: string, property: string) => string;
